import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AppComponent } from './app.component';
import { DiagramComponent } from "./diagram/diagram.component";
import { PivotComponent } from "./pivot/pivot.component";
import { SuiteComponent } from "./suite/suite.component";
import { SchedulerComponent } from "./scheduler/scheduler.component";
import { GanttComponent } from "./gantt/gantt.component";

const appRoutes: Routes = [
  { path: 'diagram', component: DiagramComponent },
  { path: 'pivot', component: PivotComponent },
  { path: 'scheduler', component: SchedulerComponent },
  { path: 'gantt', component: GanttComponent },
  { path: 'suite', component: SuiteComponent },
  { path: '',
    redirectTo: '/diagram',
    pathMatch: 'full'
  }
];

@NgModule({
  declarations: [
    AppComponent,
    DiagramComponent,
    PivotComponent,
    SchedulerComponent,
    GanttComponent,
    SuiteComponent
  ],
  imports: [
    RouterModule.forRoot(
      appRoutes
    ),
    BrowserModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
