import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
import fromCDN from "from-cdn";

declare var dhx : any;

@Component({
  selector: 'app-pivot',
  template: '<div #widget class="widget-box"></div>'
})
export class PivotComponent implements OnInit {
  @ViewChild("widget") container: ElementRef;
  ready : Promise<any>;

  constructor() { 
      this.ready = fromCDN([
        "//cdn.dhtmlx.com/pivot/1.3/pivot.js",
        "//cdn.dhtmlx.com/pivot/1.3/pivot.css"
      ]);
  }

  ngOnInit() {
      this.ready.then(() => {
        var dataset = [
            {
                "name": "Argentina",
                "year": 2015,
                "continent": "South America",
                "form": "Republic",
                "gdp": 181.357,
                "oil": 1.545,
                "balance": 4.699,
                "when": "4/2/2015"
            },
            {
                "name": "Argentina",
                "year": 2017,
                "continent": "South America",
                "form": "Republic",
                "gdp": 212.507,
                "oil": 1.732,
                "balance": 7.167,
                "when": "1/2/2017"
            },
            {
                "name": "Argentina",
                "year": 2014,
                "continent": "South America",
                "form": "Republic",
                "gdp": 260.071,
                "oil": 2.845,
                "balance": 6.728,
                "when": "6/2/2014"
            }
        ];

        var pivot = new dhx.Pivot(this.container.nativeElement, {
			data: dataset,
			fields: {
				rows: ["form", "name"],
				columns: ["year"],
				values: [{ id: "oil", method: "count" }, { id: "oil", method: "sum" }],
			},
			fieldList: [
				{ id: "name", label: "Name" },
				{ id: "year", label: "Year" },
				{ id: "continent", label: "Continent" },
				{ id: "form", label: "Form" },
				{ id: "gdp", label: "GDP" },
				{ id: "oil", label: "Oil" },
				{ id: "balance", label: "Balance" },
				{ id: "when", label: "When", type: "date", format: "%d/%m/%Y" }
			]
		});
      });
  }

}