import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
import fromCDN from "from-cdn";

@Component({
  selector: 'app-suite',
  template: '<div #widget class="widget-box"></div>'
})
export class SuiteComponent implements OnInit {
  @ViewChild("widget") container: ElementRef;
  ready : Promise<any>;

  constructor() { 
      this.ready = fromCDN([
        "//cdn.dhtmlx.com/5.1/dhtmlx.js",
        "//cdn.dhtmlx.com/5.1/dhtmlx.css"
      ]);
  }

  ngOnInit() {
      this.ready.then(() => {
        var mygrid = new dhtmlXGridObject(this.container.nativeElement);
        mygrid.setImagesPath("//cdn.dhtmlx.com/5.1/imgs/");                 
        mygrid.setHeader("Author,Book title,Sales,Price", ",", []);
        mygrid.setInitWidths("200,*,150,100");
        mygrid.setColAlign("right,left,left,left");
        mygrid.setColTypes("ro,ed,dyn,ed");
        mygrid.setColSorting("int,str,str,int");
        mygrid.init();

        var data = {
            rows:[
                { id:1, data: ["A Time to Kill", "John Grisham", "100"]},
                { id:2, data: ["Blood and Smoke", "Stephen King", "1000"]},
                { id:3, data: ["The Rainmaker", "John Grisham", "-200"]}
            ]
        };
        mygrid.parse(data,"json");
        mygrid.selectRowById(2, true, true, true);
      });
  }

}